@ECHO OFF
SET ZAF_ROOT=C:\ZINC
SET CF_ZAF=C:\ZINC\CF_ZAF
SET WATCOM=C:\FICHEROS\WC
SET ZINC_COMPILER=watcom

SET PATH=%ZAF_ROOT%\bin;%WATCOM%\BINNT;%WATCOM%\BINW;%WATCOM%\BINP;%PATH%
SET EDPATH=%WATCOM%\EDDAT
SET INCLUDE=%ZAF_ROOT%\include;%CF_ZAF%\include;%WATCOM%\H;%WATCOM%\MFC\INCLUDE;%WATCOM%\H\NT
SET LIB=%ZAF_ROOT%\lib\watcom;%CF_ZAF%\lib;%LIB%



cd %ZAF_ROOT%\source
rem zmake clean

cd %ZAF_ROOT%\example
rem zmake clean

cd %CF_ZAF%\src
rem zmake clean

del %ZAF_ROOT%\*.o32 /s >null
del %ZAF_ROOT%\*.obw /s >null
del %ZAF_ROOT%\*.err /s >null

goto fin


rem ** Library DOS16
rem cd %ZAF_ROOT%\source
rem zmake dos16

rem ** Library DOS32
cd %ZAF_ROOT%\source
zmake dos32

rem ** Library WIN16
rem cd %ZAF_ROOT%\source
rem zmake win16

rem ** Library WIN32
cd %ZAF_ROOT%\source
zmake win32

rem ** Examples DOS16
rem cd %ZAF_ROOT%\example
rem zmakeall dos16

rem ** Examples DOS32
cd %ZAF_ROOT%\example
zmakeall dos32

rem ** Examples WIN16
rem cd %ZAF_ROOT%\example
rem zmakeall win16

rem ** Examples WIN32
cd %ZAF_ROOT%\example
zmakeall win32

rem ** Chart portfolio DOS16
rem cd %CF_ZAF%\src
rem zmake dos16

rem ** Chart portfolio DOS32
cd %CF_ZAF%\src
zmake dos32

rem ** Chart portfolio WIN16
rem cd %CF_ZAF%\src
rem zmake win16

rem ** Chart portfolio WIN32
cd %CF_ZAF%\src
zmake win32


:fin
cd %ZAF_ROOT%